curl --request GET \
--url https://api.swarmd.ai/relay/v1/policies/{policyId} \
--header 'Authorization: Bearer <token>'{
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"name": "<string>",
"description": "<string>",
"policyType": "<string>",
"config": {
"enabledLegs": {
"requestFromSource": true,
"requestToSink": true,
"responseFromSink": true,
"responseToSource": true
},
"entity": {
"type": "BANK_ACCOUNT_NUMBER",
"scoreThreshold": 0.5,
"action": "LOG"
},
"type": "COMMUNICATION_AUDIT"
},
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | READ | TENANT:READ |
curl --request GET \
--url https://api.swarmd.ai/relay/v1/policies/{policyId} \
--header 'Authorization: Bearer <token>'{
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"name": "<string>",
"description": "<string>",
"policyType": "<string>",
"config": {
"enabledLegs": {
"requestFromSource": true,
"requestToSink": true,
"responseFromSink": true,
"responseToSource": true
},
"entity": {
"type": "BANK_ACCOUNT_NUMBER",
"scoreThreshold": 0.5,
"action": "LOG"
},
"type": "COMMUNICATION_AUDIT"
},
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}JWT token (USER, AGENT, or SERVICE auth)